> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mirurobotics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Activation Token

> Create a new device activation token.

| Scope               | Required |
| ------------------- | -------- |
| `devices:provision` | Yes      |


## OpenAPI

````yaml /references/platform-api/2026-03-09.yaml post /devices/{device_id}/activation_token
openapi: 3.0.3
info:
  title: Miru Platform API
  description: The API between Miru and any external client
  version: 2026-03-09.tetons
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
  x-release-version: 2026-03-09.tetons
  x-git-commit:
    sha: a33cf62e35e950971e3c223d746ae8e4e6464442
    url: >-
      https://github.com/mirurobotics/openapi/commit/a33cf62e35e950971e3c223d746ae8e4e6464442
    message: |-
      refactor(stainless): rename config instance content method to download

      Co-Authored-By: Claude Opus 4.6 <noreply@anthropic.com>
    author: Benjamin Smidt
    branch: HEAD
    dirty: false
  x-build:
    built_at: '2026-03-08T22:30:32.695898+00:00'
servers:
  - url: https://api.mirurobotics.com/beta
    description: Miru Platform API
security:
  - ApiKeyAuth: []
paths:
  /devices/{device_id}/activation_token:
    parameters:
      - $ref: '#/components/parameters/MiruVersion'
    post:
      tags:
        - Devices
      summary: Activation Token
      description: Create a new device activation token.
      operationId: createDeviceActivationToken
      parameters:
        - $ref: '#/components/parameters/device_id'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/IssueActivationTokenRequest'
      responses:
        '200':
          description: Successfully created the device activation token.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TokenResponse'
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from miru_platform_sdk import Miru

            client = Miru(
                api_key=os.environ.get("MIRU_API_KEY"),  # This is the default and can be omitted
            )
            response = client.devices.issue_activation_token(
                device_id="dvc_123",
            )
            print(response.token)
components:
  parameters:
    MiruVersion:
      name: Miru-Version
      in: header
      required: true
      schema:
        type: string
        example: 2026-03-09.tetons
      description: The API version the client was built against.
    device_id:
      name: device_id
      in: path
      required: true
      description: The unique identifier of the device.
      schema:
        type: string
        example: dvc_123
  schemas:
    IssueActivationTokenRequest:
      title: Issue Activation Token Request
      type: object
      properties:
        allow_reactivation:
          type: boolean
          default: false
          description: >-
            Whether this token can reactivate already activated devices. If
            false, the token is unable to activate devices which are already
            activated.
          example: false
    TokenResponse:
      title: Token Response
      type: object
      required:
        - token
        - expires_at
      properties:
        token:
          type: string
          description: The token.
          example: eyJhbGciOiJ...
        expires_at:
          type: string
          format: date-time
          description: The expiration date and time of the token.
          example: '2025-01-01T00:00:00Z'
      example:
        token: eyJhbGciOiJ...
        expires_at: '2025-01-01T00:00:00Z'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: The API key to use for authentication.

````